'将字节数组文本格式，转换成 by
Sub ChrToByte(zby as String, by() as UByte)
   '将字节数组文本格式，转换成 by
   Dim as Integer  I,A ,U ,I2
   a = Len(zby)
   If a = 0 Then
      ReDim by(0)
      Exit Sub
   End If
   If a Mod 3 = 0 Then
      u = (a / 3) -1
   Else
      u = Int(a / 3)
   End If
   ReDim by(u)
   I2 = 0
   
   For I = 1 To Len(zby) Step 3
      By(I2) = Val("&H" + Mid(zby, I, 2))
      I2 += 1
   Next
End Sub